RubySec

Providing security resources for the Ruby community

CVE-2018-12026 (passenger): SpawningKit exploits

ADVISORIES

GEM

passenger

SEVERITY

CVSS v3: 9.8

CVSS v2: 7.5

UNAFFECTED VERSIONS

  • < 5.3.0

PATCHED VERSIONS

  • >= 5.3.2

DESCRIPTION

During the spawning of a malicious Passenger-managed application, SpawningKit in Phusion Passenger 5.3.x before 5.3.2 allows such applications to replace key files or directories in the spawning communication directory with symlinks. This then could result in arbitrary reads and writes, which in turn can result in information disclosure and privilege escalation.